This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 101753 - ieee1394 hard drive works hotplugged but not when booting
ieee1394 hard drive works hotplugged but not when booting
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-06 11:39 EDT by Gregory Gulik
Modified: 2007-04-18 12:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gregory Gulik 2003-08-06 11:39:43 EDT
Description of problem:

I have an ADS 1394 enclosure that works fine when it's plugged into a running
system.  However when the enclosure is attached and on during a boot the device
no longer works and I get the following error logged to dmesg:
ieee1394: sbp2: Please load the lower level IEEE-1394 driver (e.g. ohci1394)
before sbp2...
ohci1394: $Rev: 693 $ Ben Collins <bcollins@debian.org>
PCI: Found IRQ 11 for device 00:08.0
PCI: Sharing IRQ 11 with 01:00.0
ohci1394_0: OHCI-1394 1.0 (PCI): IRQ=[11]  MMIO=[ee000000-ee0007ff]  Max
Packet=[2048]
ieee1394: SelfID completion called outside of bus reset!
ieee1394: Host added: Node[00:1023]  GUID[0011060000003ac1]  [Linux OHCI-1394]
ieee1394: Host removed: Node[00:1023]  GUID[0011060000003ac1]  [Linux OHCI-1394]

Version-Release number of selected component (if applicable):

Using latest kernel 2.4.20-19.9

How reproducible:

Very.

Steps to Reproduce:
1. Plug in 1394 enclosure and turn it on
2. Boot system
    
Actual results:

Error in dmesg and the 1394 device won't function.  It will not even work when
removed and re-attached.  The system will need to be rebooted with the device
unplugged then it can be plugged in once the system has finished booting.

Expected results:

It should work problem when plugged into a running system as well as plugged in
during a boot.


Additional info:

Contents of lspci -v on test system:
00:00.0 Host bridge: Silicon Integrated Systems [SiS] 745 Host (rev 01)
        Subsystem: Asustek Computer, Inc.: Unknown device 8083
        Flags: bus master, medium devsel, latency 32
        Memory at f0000000 (32-bit, non-prefetchable) [size=64M]
        Capabilities: [c0] AGP version 2.0
 
00:01.0 PCI bridge: Silicon Integrated Systems [SiS] SiS 530 Virtual PCI-to-PCI
bridge (AGP) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
        I/O behind bridge: 0000d000-0000dfff
        Memory behind bridge: ef800000-efffffff
        Prefetchable memory behind bridge: f7f00000-febfffff
 
00:02.0 ISA bridge: Silicon Integrated Systems [SiS] SiS85C503/5513 (LPC Bridge)
       Flags: bus master, medium devsel, latency 0
 
00:02.2 USB Controller: Silicon Integrated Systems [SiS] SiS7001 USB Controller
(rev 07) (prog-if 10 [OHCI])
        Subsystem: Asustek Computer, Inc.: Unknown device 8083
        Flags: bus master, medium devsel, latency 32, IRQ 5
        Memory at ef000000 (32-bit, non-prefetchable) [size=4K]

00:02.3 USB Controller: Silicon Integrated Systems [SiS] SiS7001 USB Controller
(rev 07) (prog-if 10 [OHCI])
        Subsystem: Asustek Computer, Inc.: Unknown device 8083
        Flags: bus master, medium devsel, latency 32, IRQ 9
        Memory at ee800000 (32-bit, non-prefetchable) [size=4K]
 
00:02.5 IDE interface: Silicon Integrated Systems [SiS] 5513 [IDE] (rev d0)
(prog-if 80 [Master])
        Subsystem: Asustek Computer, Inc.: Unknown device 8083
        Flags: bus master, fast devsel, latency 32
        I/O ports at b800 [size=16]
 
00:05.0 Multimedia audio controller: C-Media Electronics Inc CM8738 (rev 10)
        Subsystem: Asustek Computer, Inc. CMI8738 6ch-MX
        Flags: bus master, stepping, medium devsel, latency 32, IRQ 10
        I/O ports at a000 [size=256]
        Capabilities: [c0] Power Management version 2
 
00:08.0 FireWire (IEEE 1394): VIA Technologies, Inc. IEEE 1394 Host Controller
(rev 46) (prog-if 10 [OHCI])
        Subsystem: VIA Technologies, Inc. IEEE 1394 Host Controller
        Flags: bus master, stepping, medium devsel, latency 32, IRQ 11
        Memory at ee000000 (32-bit, non-prefetchable) [size=2K]
        I/O ports at 9800 [size=128]
        Capabilities: [50] Power Management version 2
 
00:0b.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
        Subsystem: Realtek Semiconductor Co., Ltd. RT8139
        Flags: bus master, medium devsel, latency 32, IRQ 5
        I/O ports at 9400 [size=256]
        Memory at ed800000 (32-bit, non-prefetchable) [size=256]
        Capabilities: [50] Power Management version 2
 
01:00.0 VGA compatible controller: ATI Technologies Inc Rage 128 Pro Ultra TF
(prog-if 00 [VGA])
        Subsystem: PC Partner Limited: Unknown device 7106
        Flags: bus master, stepping, 66Mhz, medium devsel, latency 64, IRQ 11
        Memory at f8000000 (32-bit, prefetchable) [size=64M]
        I/O ports at d800 [size=256]
        Memory at ef800000 (32-bit, non-prefetchable) [size=16K]
        Expansion ROM at f7fe0000 [disabled] [size=128K]
        Capabilities: [50] AGP version 2.0
        Capabilities: [5c] Power Management version 2
Comment 1 Bugzilla owner 2004-09-30 11:41:24 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.